Skip to main content
POST
/
v1
/
organizations
/
{organizationId}
/
keys
Create key
curl --request POST \
  --url https://api.clickhouse.cloud/v1/organizations/{organizationId}/keys \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "expireAt": "2023-11-07T05:31:56Z",
  "state": "enabled",
  "hashData": {
    "keyIdHash": "<string>",
    "keyIdSuffix": "<string>",
    "keySecretHash": "<string>"
  },
  "roles": [
    "admin"
  ],
  "ipAccessList": [
    {
      "source": "<string>",
      "description": "<string>"
    }
  ]
}
'
{
  "status": 200,
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "result": {
    "key": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "state": "enabled",
      "roles": [
        "admin"
      ],
      "keySuffix": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "expireAt": "2023-11-07T05:31:56Z",
      "usedAt": "2023-11-07T05:31:56Z",
      "ipAccessList": [
        {
          "source": "<string>",
          "description": "<string>"
        }
      ]
    },
    "keyId": "<string>",
    "keySecret": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://private-7c7dfe99-page-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that will own the key.

Body

application/json
name
string

Name of the key.

expireAt
string<date-time> | null

Timestamp the key expires. If not present, null or is empty the key never expires. ISO-8601.

state
enum<string>

Initial state of the key: 'enabled', 'disabled'. If not provided the new key will be 'enabled'.

Available options:
enabled,
disabled
hashData
object
roles
enum<string>[]

List of roles assigned to the key. Contains at least 1 element.

Available options:
admin,
developer,
query_endpoints
ipAccessList
object[]

List of IP addresses allowed to access the API using this key

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object